
package com.tmerclub.cloud.multishop.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 店铺工商信息
 *
 * @author tmerclub
 * @date 2021-04-27 15:16:03
 */
public class ShopCompany extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 店铺工商信息id
     */
    private Long shopCompanyId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 统一社会信用代码
     */
    private String creditCode;

    /**
     * 企业名称
     */
    private String firmName;

    /**
     * 住所
     */
    private String residence;

    /**
     * 法定代表人
     */
    private String representative;

    /**
     * 法人身份证号
     */
    private String legalIds;

    /**
     * 法人手机号
     */
    private String legalPhone;

    /**
     * 注册资本（万元）
     */
    private Double capital;

    /**
     * 成立日期
     */
    private Date foundTime;

    /**
     * 营业起始日期
     */
    private Date startTime;

    /**
     * 营业终止日期
     */
    private Date endTime;

    /**
     * 经营范围
     */
    private String businessScope;

    /**
     * 营业执照
     */
    private String businessLicense;

    /**
     * 身份证正面
     */
    private String identityCardFront;

    /**
     * 身份证反面
     */
    private String identityCardLater;

    /**
     * 审核状态：1：已通过 0待审核 -1未通过
     */
    private Integer status;

    public ShopCompany() {
    }

    public ShopCompany(Integer status, Long shopCompanyId) {
        this.status = status;
        this.shopCompanyId = shopCompanyId;
    }

    public Long getShopCompanyId() {
        return shopCompanyId;
    }

    public void setShopCompanyId(Long shopCompanyId) {
        this.shopCompanyId = shopCompanyId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public String getCreditCode() {
        return creditCode;
    }

    public void setCreditCode(String creditCode) {
        this.creditCode = creditCode;
    }

    public String getFirmName() {
        return firmName;
    }

    public void setFirmName(String firmName) {
        this.firmName = firmName;
    }

    public String getResidence() {
        return residence;
    }

    public void setResidence(String residence) {
        this.residence = residence;
    }

    public String getRepresentative() {
        return representative;
    }

    public void setRepresentative(String representative) {
        this.representative = representative;
    }

    public String getLegalIds() {
        return legalIds;
    }

    public void setLegalIds(String legalIds) {
        this.legalIds = legalIds;
    }

    public String getLegalPhone() {
        return legalPhone;
    }

    public void setLegalPhone(String legalPhone) {
        this.legalPhone = legalPhone;
    }

    public Double getCapital() {
        return capital;
    }

    public void setCapital(Double capital) {
        this.capital = capital;
    }

    public Date getFoundTime() {
        return foundTime;
    }

    public void setFoundTime(Date foundTime) {
        this.foundTime = foundTime;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getBusinessScope() {
        return businessScope;
    }

    public void setBusinessScope(String businessScope) {
        this.businessScope = businessScope;
    }

    public String getBusinessLicense() {
        return businessLicense;
    }

    public void setBusinessLicense(String businessLicense) {
        this.businessLicense = businessLicense;
    }

    public String getIdentityCardFront() {
        return identityCardFront;
    }

    public void setIdentityCardFront(String identityCardFront) {
        this.identityCardFront = identityCardFront;
    }

    public String getIdentityCardLater() {
        return identityCardLater;
    }

    public void setIdentityCardLater(String identityCardLater) {
        this.identityCardLater = identityCardLater;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Override
    public String toString() {
        return "ShopCompany{" +
                "shopCompanyId=" + shopCompanyId +
                ", shopId=" + shopId +
                ", creditCode='" + creditCode + '\'' +
                ", firmName='" + firmName + '\'' +
                ", residence='" + residence + '\'' +
                ", representative='" + representative + '\'' +
                ", legalIds='" + legalIds + '\'' +
                ", legalPhone='" + legalPhone + '\'' +
                ", capital=" + capital +
                ", foundTime=" + foundTime +
                ", startTime=" + startTime +
                ", endTime=" + endTime +
                ", businessScope='" + businessScope + '\'' +
                ", businessLicense='" + businessLicense + '\'' +
                ", identityCardFront='" + identityCardFront + '\'' +
                ", identityCardLater='" + identityCardLater + '\'' +
                ", status=" + status +
                '}';
    }
}
